:root {
    --btn-red: #c1272d;
    --btn-green: #006837;
}
body {
    height: 100vh;
    font-family: "Kanit", sans-serif !important;
    background: url("img/background.png");
}

a,
p {
    color: #fff !important;
    text-decoration: none !important;
}
::placeholder {
    color: #fff !important;
}
/* input[type="text" i],
input[type="password" i] {
    color: #fff !important;
} */

/* form mobile */
.bg-form-mobile {
    background-color: var(--btn-red);
    margin: 6px auto;
    color: #fff;
    width: 100%;
}
.on-mobile {
    display: none;
}
.gradient-box {
    display: flex;
    align-items: center;
    margin: auto;
    position: relative;
    box-sizing: border-box;
    color: #fff;
    background: #000 !important;
    background-clip: padding-box !important;
    border: solid 1px transparent !important;
    border-radius: 1em;
}
.gradient-box:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    margin: -2px;
    border-radius: inherit;
    background: linear-gradient(to right, #c1272d, #b70b1d, #a2041a, #eb1b24, #fe698a, #98041c, #911d22);
}

.form-user {
    border: none !important;
    border-radius: 1em !important;
    background: linear-gradient(to top, #9b0000 5%, #d61a00, #9b0000 25%, #9b0000, #d61a00 120%, #9b0000);
    color: #fff !important;
    text-indent: 2em;
    z-index: 1;
}
.form-pass {
    border: none !important;
    border-radius: 1em !important;
    background: linear-gradient(to top, #9b0000 5%, #d61a00, #9b0000 25%, #9b0000, #d61a00 120%, #9b0000);
    color: #fff !important;
    text-indent: 2em;
    z-index: 1;
}
.icon-user {
    position: absolute;
    top: 0.3em;
    left: 0.7em;
    z-index: 2;
}
.icon-password {
    position: absolute;
    top: 0.2em;
    left: 0.7em;
    z-index: 2;
}
.bg-btn-login {
    background: linear-gradient(to top, #9b0000 5%, #d61a00, #9b0000 25%, #9b0000, #d61a00 120%, #9b0000);
    border-radius: 15px;
    border: none;
    color: #fff !important;
}
.bg-btn-login:hover {
    color: #ff0000 !important;
    background: linear-gradient(to top, #000 5%, #c1272d, #000 23%, #000 75%, #ff2f2f 89%, #000 98%);
}

.bg-btn-login-mobile {
    background-color: #a2041a !important;
    border-radius: 15px;
    border: none;
    color: #fff !important;
}
.bg-btn-login-mobile:hover {
    color: #f1f1f1 !important;
}
.btn-login {
    position: absolute;
    border-radius: 0.5em;
    border: none;
    top: 5%;
    right: 9%;
}
.btn-register {
    color: #fff !important;
    --x: 50%;
    --y: 50%;
    position: relative;
    appearance: none;
    padding: 1em 2em;
    cursor: pointer;
    outline: none;
    border-radius: 1em;
    border: none !important;
    background: linear-gradient(to top, #9b0000 5%, #d61a00, #9b0000 25%, #9b0000, #d61a00 120%, #9b0000);
}
.btn-register:hover {
    color: #fe0000 !important;
    background: linear-gradient(to top, #000 5%, #c1272d, #000 23%, #000 75%, #ff2f2f 89%, #000 98%);
}
.btn-register-mobile {
    background-color: #333 !important;
    color: #fff !important;
}
@media (max-width: 800px) {
    .on-mobile {
        display: block;
    }
    .mobile-collap-button {
        flex-direction: column;
        align-content: center;
        text-align: center;
        margin-top: 1em;
    }
    .bg-btn {
        margin-top: 1em;
    }
    .nav-link {
        text-align: center;
    }
    .form-user {
        width: 100% !important;
        background-color: #333 !important;
    }
    .form-pass {
        width: 100% !important;
        background-color: #333 !important;
    }
}

/* navbar */
.nav-bg {
    background: linear-gradient(to top, #000 5%, #c1272d, #000 23%, #000 75%, #ff2f2f 89%, #000 98%);
    z-index: 999;
}
.bg-nav-sub {
    background: linear-gradient(to top, #9b0000 5%, #d61a00, #9b0000 25%, #9b0000 75%, #d61a00 89%, #9b0000 98%);
    background-color: #1a1a1a;
    border-image: linear-gradient(to left, #ff0000, #ff0000) 1 0 !important;
    border: 2px solid;
}
.form-search {
    background: linear-gradient(to top, #000 5%, #c1272d, #000 23%, #000 75%, #ff2f2f 89%, #000 98%);
    border: none !important;
    color: #fff !important;
}

.nav-link {
    /* background: #333; */
    padding: 1rem 1.25rem;
    text-decoration: none;
    position: relative;
    transition: all 0.3s cubic-bezier(0.2, 0, 0, 1);
    z-index: 1;
}
.nav-link:after {
    content: "";
    display: block;
    height: 1px;
    position: absolute;
    bottom: 0;
    right: 1.25rem;
    left: 1.25rem;
    border-radius: 8px;
    transition: all 0.3s cubic-bezier(0.2, 0, 0, 1);
    transform-origin: bottom center;
    z-index: -1;
}
.nav-item .nav-link:hover {
    color: #fe0000 !important;
    background: linear-gradient(to top, #000 5%, #c1272d, #000 25%, #000, #ff2f2f 120%, #000);
}
.nav-item .nav-link:hover:after {
    right: 0;
    left: 0;
    height: 100%;
}
.search .fa-search {
    position: absolute;
    top: 1.5em;
    right: 1.6em;
    background: transparent;
    color: #fff;
}

@media (max-width: 800px) {
    .nav-bg {
        z-index: 0;
    }
    /* .nav-item .nav-link {
        background-size: 6em !important;
    } */
}
@media (max-width: 992px) {
    .pos-text {
        position: relative !important;
        width: 100% !important;
        left: 0 !important;
        bottom: 0 !important;
    }
}
.bg-btn {
    background-color: #fff;
    border-radius: 15px;
    border: none;
    color: #333 !important;
}
.nav-item .nav-link {
    background-size: 6em;
    border-radius: 8px;
    color: #fff !important;
}
.relative {
    position: relative;
}

/* content */
.bg-content3,
.bg-content2 {
    background-image: url("img/background2.png") !important;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}
.bg-darker {
    background: #000;
}
.bg-tt {
    background-image: url("img/bck-bg-title1.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    padding: 3em;
}
.bg-tt2 {
    background-image: url("img/bck-bg-title2.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    padding: 2em;
}
.bg-tt3 {
    background-image: url("img/bck-bg-title3.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    padding: 2em;
}
.bg-content-red {
    background: #000;
    background-color: transparent;
    --x: 50%;
    --y: 50%;
    position: relative;
    appearance: none;
    padding: 0.5em 0.5em;
    cursor: pointer;
    outline: none;
    border: 3px solid transparent;
    background: linear-gradient(to bottom, #980000, #6a0000) padding-box,
        radial-gradient(farthest-corner at var(--x) var(--y), #ff0000, #a2041a, #eb1b24, #ff0000, #98041c, #ff0000)
            border-box;
}

/* step */
.steps {
    min-height: 90px;
    padding: 60px 0 0 0;
    position: relative;
}
.step-text {
    color: #fff;
    position: absolute;
    top: 3.1em;
    right: 6.6em;
}
.steps .steps-container {
    background: #ff0000;
    height: 2px;
    width: 100%;
    margin: 0;
    list-style: none;
}
.steps .steps-container li {
    text-align: center;
    list-style: none;
    float: left;
}
.steps .steps-container li .step .step-image {
    margin: -16px 30px 0 0;
}
.steps .steps-container li .step .step-image span {
    background-color: #800000;
    display: block;
    width: 37px;
    height: 37px;
    margin: 0 auto;
    border-radius: 37px;
    -moz-border-radius: 37px;
    -webkit-border-radius: 37px;
    -ms-border-radius: 37px;
}
/* step */
.text-reder {
    color: #ff0000;
}
.pos-text {
    position: absolute;
    width: 50%;
    bottom: 2em;
    left: 20em;
}
.play-t {
    cursor: pointer;
}
.play-t:hover {
    transform: scale(1.1);
    transition: 120ms;
}
.txt-int {
    text-indent: 1.5em;
}
.ul-c {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    color: #fff;
}

/* footer */
.btn-footer {
    display: block;
    background-repeat: no-repeat;
    background-size: contain;
    position: relative;
    color: #8e000b !important;
    border-radius: 15px;
    margin: 0.5em;
    padding: 0.5em;
}
.btn-footer:hover {
    color: #ff0000 !important;
}
.bg-footer {
    border-image: linear-gradient(to left, red, #ff2f2f) 1 0 0 0 !important;
    border: 2px solid;
}
.btn-login-back:hover {
    color: #fe0000 !important;
}
/* footer nav sticky  */
.nav-footer {
    z-index: 9999;
    display: none;
}
.icon-burgur {
    color: #fff;
}
.fas,
.fab {
    font-size: 2rem;
    color: #fff;
}
.logo-sticky {
    margin-top: -1rem;
    margin-left: -1rem;
}
.img-nav-sticky {
    width: 130%;
}

@media only screen and (max-width: 800px) {
    .nav-footer {
        position: fixed;
        bottom: 0;
        width: 100%;
        background-color: #6b0000;
        left: 0;
        border-top-left-radius: 25px;
        border-top-right-radius: 25px;
        height: 70px;
        box-shadow: 0px -3px 18px 0px #00000096;
        backdrop-filter: blur(5px);
    }
    .nav-footer-col4 {
        width: 25%;
        float: left;
        text-align: center;
    }
    .col4-bottom {
        font-size: 14px;
        color: #fff;
        letter-spacing: 1px;
        font-weight: 300;
    }
    .nav-footer {
        display: block;
    }
}

/* header nav */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 10%;
}

.logo {
    cursor: pointer;
}

.nav__links a,
.cta,
.overlay__content a {
    font-weight: 500;
    color: #edf0f1;
    text-decoration: none;
}

.nav__links {
    list-style: none;
    display: flex;
}

.nav__links li {
    padding: 0px 20px;
}

.nav__links li a {
    transition: color 0.3s ease 0s;
}

.nav__links li a:hover {
    color: #0088a9;
}

.cta {
    /* padding: 9px 25px;
    background-color: rgba(0, 136, 169, 1); */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease 0s;
}

.cta:hover {
    background-color: #3ab2be;
}

/* Mobile Nav */
.menu {
    display: none;
}

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    background-color: #24252abd;
    overflow-x: hidden;
    transition: width 0.5s ease 0s;
}

.overlay--active {
    width: 100%;
}

.overlay__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.overlay a {
    padding: 15px;
    font-size: 18px;
    display: block;
    transition: color 0.3s ease 0s;
}

.overlay a:hover,
.overlay a:focus {
    color: #0088a9;
}
.overlay .close {
    position: absolute;
    top: -20px;
    right: 13px;
    font-size: 30px;
    color: #edf0f1 !important;
}

@media screen and (max-height: 450px) {
    .overlay a {
        font-size: 20px;
    }
    .overlay .close {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}

@media only screen and (max-width: 800px) {
    .nav__links,
    .cta {
        display: none;
    }
    .menu {
        display: initial;
    }
    .nav-item .nav-link {
        background: #333 !important;
    }
}
